# Incidents/Tags

## PUT /v3/incidents/{IncidentId}/tags

> Update Tag

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Incidents/Tags"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Incidents.Tags.IncidentForTagsResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Incidents.Tags.IncidentForTags"}]},"V3.Incidents.Tags.IncidentForTags":{"type":"object","required":["id","service_id","alert_source_id","organization_id","incidentNumber","message","assignedTo","additional_responders","description","status","timeOfCreation","updated_at","tags","logs","analytics","pinned_messages","deleted","event_count","dedup_data","owner","access_control","relevantUsers","relevantEscalationPolicies","relevantSquads","relevantSchedules","relevantPeopleLogs","responseNotes","attachments","is_child","children","did_auto_pause","did_auto_pause_timeout","auto_pause_ends_at","manually_marked_transient_alert_feedback_type","classification_id","grouped_alert_count","has_priority","snooze_details","did_notification_delay","notification_delay_policy","digest_id"],"properties":{"id":{"type":"string"},"service_id":{"type":"string"},"alert_source_id":{"type":"string"},"organization_id":{"type":"string"},"slo_id":{"type":"integer"},"incidentNumber":{"type":"integer"},"message":{"type":"string"},"assignedTo":{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.Tags.AssignedTo"}},"additional_responders":{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.Tags.AdditionalResponderDetails"}},"description":{"type":"string"},"status":{"type":"string"},"timeOfCreation":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"last_acknowledged_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}]},"tags":{"type":"object","unevaluatedProperties":{"$ref":"#/components/schemas/V3.Incidents.Tags.TagConfigObject"}},"logs":{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.Tags.Logs"}},"analytics":{"$ref":"#/components/schemas/V3.Incidents.Tags.Analytics"},"pinned_messages":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.Tags.PinnedMessage"}},{"type":"null"}]},"created_by":{"type":"string"},"sender_email":{"type":"string"},"deleted":{"type":"boolean"},"event_count":{"type":"integer"},"dedup_data":{"$ref":"#/components/schemas/V3.Incidents.Tags.DedupData"},"owner":{"$ref":"#/components/schemas/Common.V3.RBACOwner"},"access_control":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/Common.V3.RBACEntityPermission"}},{"type":"null"}]},"relevantUsers":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"relevantEscalationPolicies":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"relevantSquads":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"relevantSchedules":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"relevantPeopleLogs":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.Tags.RelevantPeopleLog"}},{"type":"null"}]},"responseNotes":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.Tags.ResponseNote"}},{"type":"null"}]},"attachments":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"retriggerPolicy":{"anyOf":[{"type":"object","properties":{"escalationPolicyId":{"type":"string"},"retriggerAt":{"type":"string","format":"date-time"},"retriggeredAt":{"type":"string","format":"date-time"}},"required":["escalationPolicyId"]},{"type":"null"}]},"webform_id":{"type":"integer"},"webform_submission_id":{"type":"integer"},"is_child":{"type":"boolean"},"parent":{"anyOf":[{"$ref":"#/components/schemas/V3.Incidents.Tags.MergeIncidentEntityReference"},{"type":"null"}]},"children":{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.Tags.MergeIncidentEntityReference"}},"did_auto_pause":{"type":"boolean"},"did_auto_pause_timeout":{"type":"boolean"},"auto_pause_ends_at":{"type":"string","format":"date-time"},"manually_marked_transient_alert_feedback_type":{"type":"string"},"classification_id":{"type":"integer"},"grouped_alert_count":{"type":"integer"},"priority":{"$ref":"#/components/schemas/V3.Incidents.Tags.IncidentPriority"},"has_priority":{"type":"boolean"},"snooze_details":{"$ref":"#/components/schemas/V3.Incidents.Tags.SnoozeDetails"},"did_notification_delay":{"type":"boolean"},"notification_delay_policy":{"$ref":"#/components/schemas/V3.Incidents.Tags.NotificationDelayPolicy"},"digest_id":{"type":"string"}}},"V3.Incidents.Tags.AssignedTo":{"type":"object","required":["id","type","timeOfAssignment","reason"],"properties":{"id":{"type":"string"},"type":{"type":"string"},"timeOfAssignment":{"type":"string","format":"date-time"},"reason":{"type":"string"}}},"V3.Incidents.Tags.AdditionalResponderDetails":{"type":"object","required":["id","type","timeOfAssignment","reason","name","last_notified_at"],"properties":{"id":{"type":"string"},"type":{"type":"string"},"timeOfAssignment":{"type":"string","format":"date-time"},"reason":{"type":"string"},"name":{"type":"string"},"last_notified_at":{"type":"string","format":"date-time"}},"description":"Details for an additional responder."},"V3.Incidents.Tags.TagConfigObject":{"type":"object","required":["value","color"],"properties":{"value":{"type":"string"},"color":{"type":"string"}},"description":"Defines the value and color of a tag."},"V3.Incidents.Tags.Logs":{"type":"object","required":["action","time","reason"],"properties":{"action":{"type":"string"},"is_manually_created":{"type":"boolean"},"created_by":{"type":"string"},"updated_by":{"type":"string"},"assignedTo":{"type":"string"},"assignedBy":{"type":"string"},"id":{"type":"string"},"workflow_id":{"type":"integer"},"time":{"type":"string","format":"date-time"},"reason":{"type":"string"},"additionalInfo":{"anyOf":[{"type":"object","unevaluatedProperties":{}},{"type":"null"}]},"type":{"type":"string"},"should_show_in_postmortem":{"type":"boolean"}},"description":"Represents a log entry for an incident action."},"V3.Incidents.Tags.Analytics":{"type":"object","required":["tta","ttr"],"properties":{"tta":{"$ref":"#/components/schemas/V3.Incidents.Tags.AnalyticsMetrics"},"ttr":{"$ref":"#/components/schemas/V3.Incidents.Tags.AnalyticsMetrics"}},"description":"Incident analytics data."},"V3.Incidents.Tags.AnalyticsMetrics":{"type":"object","required":["time","userId","escalationPolicyId","squadId"],"properties":{"time":{"type":"integer"},"userId":{"type":"string"},"escalationPolicyId":{"type":"string"},"squadId":{"type":"string"}},"description":"Analytics metrics for TTA (Time to Acknowledge) and TTR (Time to Resolve)."},"V3.Incidents.Tags.PinnedMessage":{"type":"object","required":["message","message_sender_id","time","time_of_pinning","message_id","message_pinned_by","message_sender_name"],"properties":{"message":{"type":"string"},"message_sender_id":{"type":"string"},"time":{"type":"string","format":"date-time"},"time_of_pinning":{"type":"string","format":"date-time"},"message_id":{"type":"string"},"message_pinned_by":{"type":"string"},"message_sender_name":{"type":"string"}},"description":"Represents a pinned message in the warroom."},"V3.Incidents.Tags.DedupData":{"type":"object","properties":{"key":{"type":"string"},"hash":{"type":"string"}}},"Common.V3.RBACOwner":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string","description":"The ID of the owner."},"type":{"type":"string","enum":["team"],"description":"The type of the owner."}},"description":"Represents the RBAC owner of an entity."},"Common.V3.RBACEntityPermission":{"type":"object","required":["user_id","abilities"],"properties":{"user_id":{"type":"string","description":"The ID of the user receiving the permission."},"abilities":{"type":"object","unevaluatedProperties":{"type":"boolean"},"description":"A map of abilities granted to the user."}},"description":"Represents a permission granted to a user for a specific entity."},"V3.Incidents.Tags.RelevantPeopleLog":{"type":"object","required":["userId","actionTaken","actionTakenBy","actionTime"],"properties":{"userId":{"type":"string"},"actionTaken":{"type":"string"},"actionTakenBy":{"type":"string"},"actionTime":{"type":"string","format":"date-time"}},"description":"Represents a relevant people log entry."},"V3.Incidents.Tags.ResponseNote":{"type":"object","required":["timeOfNote","note","userId"],"properties":{"timeOfNote":{"type":"string","format":"date-time"},"note":{"type":"string"},"userId":{"type":"string"}},"description":"Represents a response note in an incident."},"V3.Incidents.Tags.MergeIncidentEntityReference":{"type":"object","required":["id"],"properties":{"id":{"type":"string"}},"description":"Reference to a merged incident entity."},"V3.Incidents.Tags.IncidentPriority":{"type":"string","enum":["P1","P2","P3","P4","P5"],"description":"Represents the priority of an incident."},"V3.Incidents.Tags.SnoozeDetails":{"type":"object","required":["is_snoozed","start_time","end_time","total_time_in_mins"],"properties":{"is_snoozed":{"type":"boolean"},"start_time":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}]},"end_time":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}]},"total_time_in_mins":{"type":"integer"}}},"V3.Incidents.Tags.NotificationDelayPolicy":{"type":"object","required":["is_notification_delayed","delayed_until","assign_to"],"properties":{"is_notification_delayed":{"type":"boolean"},"delayed_until":{"type":"string","format":"date-time"},"assign_to":{"$ref":"#/components/schemas/V3.Incidents.Tags.AssignTo"}},"description":"Policy for delaying notifications."},"V3.Incidents.Tags.AssignTo":{"type":"object","required":["id"],"properties":{"id":{"type":"string"},"type":{"type":"string"}},"description":"Represents the assignment target for delayed notifications."},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Incidents.Tags.UpdateTagRequest":{"type":"object","required":["tags"],"properties":{"tags":{"type":"object","unevaluatedProperties":{"$ref":"#/components/schemas/V3.Incidents.Tags.Tag"}}}},"V3.Incidents.Tags.Tag":{"type":"object","required":["value","color"],"properties":{"value":{"type":"string"},"color":{"type":"string"}}}}},"paths":{"/v3/incidents/{IncidentId}/tags":{"put":{"operationId":"Tags_updateTag","summary":"Update Tag","parameters":[{"name":"IncidentId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Incidents.Tags.IncidentForTagsResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Incidents/Tags"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Incidents.Tags.UpdateTagRequest"}}}}}}}}
```

## PATCH /v3/incidents/{IncidentId}/tags

> Append Tag

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Incidents/Tags"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Incidents.Tags.IncidentForTagsResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Incidents.Tags.IncidentForTags"}]},"V3.Incidents.Tags.IncidentForTags":{"type":"object","required":["id","service_id","alert_source_id","organization_id","incidentNumber","message","assignedTo","additional_responders","description","status","timeOfCreation","updated_at","tags","logs","analytics","pinned_messages","deleted","event_count","dedup_data","owner","access_control","relevantUsers","relevantEscalationPolicies","relevantSquads","relevantSchedules","relevantPeopleLogs","responseNotes","attachments","is_child","children","did_auto_pause","did_auto_pause_timeout","auto_pause_ends_at","manually_marked_transient_alert_feedback_type","classification_id","grouped_alert_count","has_priority","snooze_details","did_notification_delay","notification_delay_policy","digest_id"],"properties":{"id":{"type":"string"},"service_id":{"type":"string"},"alert_source_id":{"type":"string"},"organization_id":{"type":"string"},"slo_id":{"type":"integer"},"incidentNumber":{"type":"integer"},"message":{"type":"string"},"assignedTo":{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.Tags.AssignedTo"}},"additional_responders":{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.Tags.AdditionalResponderDetails"}},"description":{"type":"string"},"status":{"type":"string"},"timeOfCreation":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"last_acknowledged_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}]},"tags":{"type":"object","unevaluatedProperties":{"$ref":"#/components/schemas/V3.Incidents.Tags.TagConfigObject"}},"logs":{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.Tags.Logs"}},"analytics":{"$ref":"#/components/schemas/V3.Incidents.Tags.Analytics"},"pinned_messages":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.Tags.PinnedMessage"}},{"type":"null"}]},"created_by":{"type":"string"},"sender_email":{"type":"string"},"deleted":{"type":"boolean"},"event_count":{"type":"integer"},"dedup_data":{"$ref":"#/components/schemas/V3.Incidents.Tags.DedupData"},"owner":{"$ref":"#/components/schemas/Common.V3.RBACOwner"},"access_control":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/Common.V3.RBACEntityPermission"}},{"type":"null"}]},"relevantUsers":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"relevantEscalationPolicies":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"relevantSquads":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"relevantSchedules":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"relevantPeopleLogs":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.Tags.RelevantPeopleLog"}},{"type":"null"}]},"responseNotes":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.Tags.ResponseNote"}},{"type":"null"}]},"attachments":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"retriggerPolicy":{"anyOf":[{"type":"object","properties":{"escalationPolicyId":{"type":"string"},"retriggerAt":{"type":"string","format":"date-time"},"retriggeredAt":{"type":"string","format":"date-time"}},"required":["escalationPolicyId"]},{"type":"null"}]},"webform_id":{"type":"integer"},"webform_submission_id":{"type":"integer"},"is_child":{"type":"boolean"},"parent":{"anyOf":[{"$ref":"#/components/schemas/V3.Incidents.Tags.MergeIncidentEntityReference"},{"type":"null"}]},"children":{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.Tags.MergeIncidentEntityReference"}},"did_auto_pause":{"type":"boolean"},"did_auto_pause_timeout":{"type":"boolean"},"auto_pause_ends_at":{"type":"string","format":"date-time"},"manually_marked_transient_alert_feedback_type":{"type":"string"},"classification_id":{"type":"integer"},"grouped_alert_count":{"type":"integer"},"priority":{"$ref":"#/components/schemas/V3.Incidents.Tags.IncidentPriority"},"has_priority":{"type":"boolean"},"snooze_details":{"$ref":"#/components/schemas/V3.Incidents.Tags.SnoozeDetails"},"did_notification_delay":{"type":"boolean"},"notification_delay_policy":{"$ref":"#/components/schemas/V3.Incidents.Tags.NotificationDelayPolicy"},"digest_id":{"type":"string"}}},"V3.Incidents.Tags.AssignedTo":{"type":"object","required":["id","type","timeOfAssignment","reason"],"properties":{"id":{"type":"string"},"type":{"type":"string"},"timeOfAssignment":{"type":"string","format":"date-time"},"reason":{"type":"string"}}},"V3.Incidents.Tags.AdditionalResponderDetails":{"type":"object","required":["id","type","timeOfAssignment","reason","name","last_notified_at"],"properties":{"id":{"type":"string"},"type":{"type":"string"},"timeOfAssignment":{"type":"string","format":"date-time"},"reason":{"type":"string"},"name":{"type":"string"},"last_notified_at":{"type":"string","format":"date-time"}},"description":"Details for an additional responder."},"V3.Incidents.Tags.TagConfigObject":{"type":"object","required":["value","color"],"properties":{"value":{"type":"string"},"color":{"type":"string"}},"description":"Defines the value and color of a tag."},"V3.Incidents.Tags.Logs":{"type":"object","required":["action","time","reason"],"properties":{"action":{"type":"string"},"is_manually_created":{"type":"boolean"},"created_by":{"type":"string"},"updated_by":{"type":"string"},"assignedTo":{"type":"string"},"assignedBy":{"type":"string"},"id":{"type":"string"},"workflow_id":{"type":"integer"},"time":{"type":"string","format":"date-time"},"reason":{"type":"string"},"additionalInfo":{"anyOf":[{"type":"object","unevaluatedProperties":{}},{"type":"null"}]},"type":{"type":"string"},"should_show_in_postmortem":{"type":"boolean"}},"description":"Represents a log entry for an incident action."},"V3.Incidents.Tags.Analytics":{"type":"object","required":["tta","ttr"],"properties":{"tta":{"$ref":"#/components/schemas/V3.Incidents.Tags.AnalyticsMetrics"},"ttr":{"$ref":"#/components/schemas/V3.Incidents.Tags.AnalyticsMetrics"}},"description":"Incident analytics data."},"V3.Incidents.Tags.AnalyticsMetrics":{"type":"object","required":["time","userId","escalationPolicyId","squadId"],"properties":{"time":{"type":"integer"},"userId":{"type":"string"},"escalationPolicyId":{"type":"string"},"squadId":{"type":"string"}},"description":"Analytics metrics for TTA (Time to Acknowledge) and TTR (Time to Resolve)."},"V3.Incidents.Tags.PinnedMessage":{"type":"object","required":["message","message_sender_id","time","time_of_pinning","message_id","message_pinned_by","message_sender_name"],"properties":{"message":{"type":"string"},"message_sender_id":{"type":"string"},"time":{"type":"string","format":"date-time"},"time_of_pinning":{"type":"string","format":"date-time"},"message_id":{"type":"string"},"message_pinned_by":{"type":"string"},"message_sender_name":{"type":"string"}},"description":"Represents a pinned message in the warroom."},"V3.Incidents.Tags.DedupData":{"type":"object","properties":{"key":{"type":"string"},"hash":{"type":"string"}}},"Common.V3.RBACOwner":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string","description":"The ID of the owner."},"type":{"type":"string","enum":["team"],"description":"The type of the owner."}},"description":"Represents the RBAC owner of an entity."},"Common.V3.RBACEntityPermission":{"type":"object","required":["user_id","abilities"],"properties":{"user_id":{"type":"string","description":"The ID of the user receiving the permission."},"abilities":{"type":"object","unevaluatedProperties":{"type":"boolean"},"description":"A map of abilities granted to the user."}},"description":"Represents a permission granted to a user for a specific entity."},"V3.Incidents.Tags.RelevantPeopleLog":{"type":"object","required":["userId","actionTaken","actionTakenBy","actionTime"],"properties":{"userId":{"type":"string"},"actionTaken":{"type":"string"},"actionTakenBy":{"type":"string"},"actionTime":{"type":"string","format":"date-time"}},"description":"Represents a relevant people log entry."},"V3.Incidents.Tags.ResponseNote":{"type":"object","required":["timeOfNote","note","userId"],"properties":{"timeOfNote":{"type":"string","format":"date-time"},"note":{"type":"string"},"userId":{"type":"string"}},"description":"Represents a response note in an incident."},"V3.Incidents.Tags.MergeIncidentEntityReference":{"type":"object","required":["id"],"properties":{"id":{"type":"string"}},"description":"Reference to a merged incident entity."},"V3.Incidents.Tags.IncidentPriority":{"type":"string","enum":["P1","P2","P3","P4","P5"],"description":"Represents the priority of an incident."},"V3.Incidents.Tags.SnoozeDetails":{"type":"object","required":["is_snoozed","start_time","end_time","total_time_in_mins"],"properties":{"is_snoozed":{"type":"boolean"},"start_time":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}]},"end_time":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}]},"total_time_in_mins":{"type":"integer"}}},"V3.Incidents.Tags.NotificationDelayPolicy":{"type":"object","required":["is_notification_delayed","delayed_until","assign_to"],"properties":{"is_notification_delayed":{"type":"boolean"},"delayed_until":{"type":"string","format":"date-time"},"assign_to":{"$ref":"#/components/schemas/V3.Incidents.Tags.AssignTo"}},"description":"Policy for delaying notifications."},"V3.Incidents.Tags.AssignTo":{"type":"object","required":["id"],"properties":{"id":{"type":"string"},"type":{"type":"string"}},"description":"Represents the assignment target for delayed notifications."},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Incidents.Tags.AppendTagRequest":{"type":"object","properties":{"tags":{"type":"object","unevaluatedProperties":{"$ref":"#/components/schemas/V3.Incidents.Tags.TagUpdate"}}}},"V3.Incidents.Tags.TagUpdate":{"type":"object","properties":{"value":{"type":"string"},"color":{"type":"string"}}}}},"paths":{"/v3/incidents/{IncidentId}/tags":{"patch":{"operationId":"Tags_appendTag","summary":"Append Tag","parameters":[{"name":"IncidentId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Incidents.Tags.IncidentForTagsResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Incidents/Tags"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Incidents.Tags.AppendTagRequest"}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.incidents.cloud.solarwinds.com/api-reference/incidents-tags.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
